Bug 282021 - after Supspend to Ram crash the kernel
after Supspend to Ram crash the kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 04:19 EDT by Marco Löwl
Modified: 2007-12-13 11:13 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.23.1-10.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 11:13:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Löwl 2007-09-07 04:19:12 EDT
Description of problem:
after Supspend to Ram have this massages in the dmesg

Version-Release number of selected component (if applicable):
2.6.22.5-76.fc7
udev-113-12.fc7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:



Sep  7 08:52:28 Marco-NB kernel: BUG: unable to handle kernel NULL pointer
dereference at virtual address 0000039c
Sep  7 08:52:28 Marco-NB kernel:  printing eip:
Sep  7 08:52:28 Marco-NB kernel: c04441fb
Sep  7 08:52:28 Marco-NB kernel: *pde = 1613e067
Sep  7 08:52:28 Marco-NB kernel: *pte = 00000000
Sep  7 08:52:28 Marco-NB kernel: Oops: 0002 [#1]
Sep  7 08:52:28 Marco-NB kernel: SMP
Sep  7 08:52:28 Marco-NB kernel: last sysfs file: /class/vc/vcsa9/dev
Sep  7 08:52:28 Marco-NB kernel: Modules linked in: divas(U) divadidd(U) autofs4
nf_conntrack_netbios_ns nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink
ipt_REJECT iptable_filter ip_tables x_tables sunrpc arc4 ecb blkcipher
ieee80211_crypt_wep cpufreq_ondemand acpi_cpufreq dm_mirror dm_multipath dm_mod
video sbs button dock battery ac snd_intel8x0m snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_intel8x0
snd_ac97_codec ac97_bus snd_mixer_oss hci_usb bluetooth ipw2200 snd_pcm
snd_timer tg3 snd ieee80211 irda parport_pc soundcore ieee80211_crypt crc_ccitt
iTCO_wdt iTCO_vendor_support rtc_cmos snd_page_alloc parport joydev sr_mod cdrom
sg usb_storage ata_piix ata_generic libata sd_mod scsi_mod ext3 jbd mbcache
ehci_hcd ohci_hcd uhci_hcd
Sep  7 08:52:28 Marco-NB kernel: CPU:    0
Sep  7 08:52:28 Marco-NB kernel: EIP:    0060:[<c04441fb>]    Not tainted VLI
Sep  7 08:52:28 Marco-NB kernel: EFLAGS: 00210246   (2.6.22.5-76.fc7 #1)
Sep  7 08:52:28 Marco-NB kernel: EIP is at module_put+0xf/0x27
Sep  7 08:52:28 Marco-NB kernel: eax: 00000000   ebx: f75cf1cc   ecx: c16bc3b8 
 edx: 0000021c
Sep  7 08:52:28 Marco-NB kernel: esi: d2d48640   edi: f51c8478   ebp: 0000021c 
 esp: d27ebf54
Sep  7 08:52:28 Marco-NB kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Sep  7 08:52:28 Marco-NB kernel: Process udevd (pid: 7083, ti=d27eb000
task=cb608000 task.ti=d27eb000)
Sep  7 08:52:28 Marco-NB kernel: Stack: c04b2290 00000010 d27a7f00 f7e52a18
f75cf158 c047b3b8 00000000 00000000
Sep  7 08:52:28 Marco-NB kernel:        f7e52a18 f7822100 f75cf158 d27a7f00
f50e2780 00000000 d27eb000 c0478e91
Sep  7 08:52:28 Marco-NB kernel:        d27eb000 f50e2780 00000003 d27a7f00
c0479dd2 00000003 ffffffff 00000003
Sep  7 08:52:28 Marco-NB kernel: Call Trace:
Sep  7 08:52:28 Marco-NB kernel:  [<c04b2290>] sysfs_release+0x48/0x76
Sep  7 08:52:28 Marco-NB kernel:  [<c047b3b8>] __fput+0xc1/0x177
Sep  7 08:52:28 Marco-NB kernel:  [<c0478e91>] filp_close+0x51/0x58
Sep  7 08:52:28 Marco-NB kernel:  [<c0479dd2>] sys_close+0x6e/0xa5
Sep  7 08:52:28 Marco-NB kernel:  [<c0404f8e>] syscall_call+0x7/0xb
Sep  7 08:52:28 Marco-NB kernel:  =======================
Sep  7 08:52:28 Marco-NB kernel: Code: 00 e8 fe 5a 0a 00 89 f8 e8 e1 5a 0a 00 89
f8 e8 e0 59 0a 00 5f 89 d8 5b 5e 5f 5d c3 85 c0 89 c2 74 20 64 a1 08 90 76 c0 c1
e0 07 <ff> 8c 10 80 01 00 00 83 3a 02 75 0b 8b 82 88 11 00 00 e9 62 f2
Sep  7 08:52:28 Marco-NB kernel: EIP: [<c04441fb>] module_put+0xf/0x27 SS:ESP
0068:d27ebf54
Sep  7 08:52:28 Marco-NB kernel: usb 1-2: configuration #1 chosen from 1 choice
Sep  7 08:52:29 Marco-NB kernel: usb 4-6.1: new low speed USB device using
ehci_hcd and address 12
Sep  7 08:52:29 Marco-NB kernel: usb 4-6.1: configuration #1 chosen from 1 choice
Sep  7 08:52:29 Marco-NB kernel: input: HID 413c:3010 as /class/input/input9
Sep  7 08:52:29 Marco-NB kernel: input: USB HID v1.00 Mouse [HID 413c:3010] on
usb-0000:00:1d.7-6.1
Sep  7 08:55:04 Marco-NB ntpd[2609]: time reset -0.439107 s
Sep  7 09:03:07 Marco-NB ntpd[2609]: synchronized to 192.53.103.108, stratum 1
                                                                               
                                                                        1715,1
Comment 1 Christopher Brown 2007-10-03 09:03:20 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 2 Marco Löwl 2007-10-08 03:42:00 EDT
with the 2.6.22.9-91.fc7 kernel i haven't had the problem, but i can't say it is
solved.
Comment 3 Christopher Brown 2007-10-09 07:15:28 EDT
Okay Marco, please keep monitoring it then and update this bug as appropriate.
If you feel this has been solved for you then it would be appreciated if you
would close CURRENTRELEASE with 2.6.22.9-91.fc7 in the version field.

Cheers
Chris
Comment 4 Marco Löwl 2007-11-03 04:29:06 EDT
Hi,


with the 2.6.23.1-10.fc7 Kernel is the problem solved. 



regards Marco

Note You need to log in before you can comment on or make changes to this bug.